Bug 263263 - Separate field for income and expenditure when importing CSV files
Summary: Separate field for income and expenditure when importing CSV files
Status: RESOLVED FIXED
Alias: None
Product: skrooge
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Stephane MANKOWSKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-15 22:48 UTC by Karl Ove Hufthammer
Modified: 2011-01-17 14:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Example showing separate amount columns (467 bytes, text/csv)
2011-01-16 21:48 UTC, Karl Ove Hufthammer
Details
How to set settings to do the csv import (84.49 KB, image/jpeg)
2011-01-17 11:52 UTC, Stephane MANKOWSKI
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Ove Hufthammer 2011-01-15 22:48:14 UTC
Version:           unspecified
OS:                Linux

In the CSV export from my bank, income and expenditure amounts are listed in separate columns, instead of as a single column with + or - prefixed. It would be nice if Skrooge could handle this.

Reproducible: Always




OS: Linux (i686) release 2.6.33.7-desktop-2mnb
Compiler: gcc
Comment 1 Stephane MANKOWSKI 2011-01-16 21:34:22 UTC
Could you attach an example ?
Comment 2 Karl Ove Hufthammer 2011-01-16 21:48:54 UTC
Created attachment 56107 [details]
Example showing separate amount columns

Here’s an example showing the CSV output from my bank. The line marked «Kreditrente» is income; all the others are expenditures.
Comment 3 Stephane MANKOWSKI 2011-01-17 11:52:56 UTC
Created attachment 56119 [details]
How to set settings to do the csv import

I will deliver a correction allowing the importation with the attached settings
Comment 4 Stephane MANKOWSKI 2011-01-17 12:02:46 UTC
SVN commit 1215026 by smankowski:

BUG: 263263: Separate field for income and expenditure when importing CSV files 

 M  +1 -0      CHANGELOG  
 M  +14 -14    skgbankmodeler/skgimportexportmanager.cpp  
 M  +24 -2     skgbankmodeler/skgimportexportmanager.h  
 M  +24 -0     skgbankmodelertest/skgtestimportcsv.cpp  
 M  +4 -0      skrooge_importexport/skgimportexport_settings.kcfg  
 M  +7 -6      skrooge_importexport/skgimportexportplugin.cpp  
 M  +133 -89   skrooge_importexport/skgimportexportpluginwidget_pref.ui  
 A             tests/input/skgtestimportcsv/263263.csv  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1215026
Comment 5 Karl Ove Hufthammer 2011-01-17 14:47:14 UTC
I don’t think that would work. The row with income just happened to have type ‘Kreditrente’; it could have any number of different strings (this is basically the ‘Category’ column). I guess my example had too few rows / different field values to show this.

The points is that all the expenditure is stored in the column ‘UT FRA KONTO’, and all the income is stored in the column ‘INN PÅ KONTO’.
Comment 6 Stephane MANKOWSKI 2011-01-17 14:53:04 UTC
I understood that too and this is corrected.
I tested it and it works.